commit:     37077c74574a4aa8adb4b9a461fcf9af734f01c5
Author:     Johann Schmitz <ercpe <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  6 06:22:55 2015 +0000
Commit:     Johann Schmitz <ercpe <AT> gentoo <DOT> org>
CommitDate: Sun Dec  6 06:22:55 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37077c74

dev-python/django-two-factor-auth: Version bump to 1.2.1

Package-Manager: portage-2.2.20.1

 dev-python/django-two-factor-auth/Manifest         |  1 +
 .../django-two-factor-auth-1.2.1.ebuild            | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/django-two-factor-auth/Manifest 
b/dev-python/django-two-factor-auth/Manifest
index e81b2e0..b0b2b55 100644
--- a/dev-python/django-two-factor-auth/Manifest
+++ b/dev-python/django-two-factor-auth/Manifest
@@ -1,2 +1,3 @@
 DIST django-two-factor-auth-1.1.1.tar.gz 101960 SHA256 
19cf066f7a4c76147d3ad5e5e46cf078772064ecde83acf9ece93670ec92d9cf SHA512 
f0ff3deeceb00b2b28d6237e1d4e4dbc2574c872b564abb491b77130b56aa7a705432ac93bf2a9ae9f03e780c58c409584d624f41bce690afd910edbc8bb5eae
 WHIRLPOOL 
7f20d4060b549792a7e5e36857ded765e3d06df403163d38dfcb67a93ee0c62a10fd7bad5b1055c28693ae05e5c93bfe137b7095ad0ab2ec26b20c1627d4b8d6
 DIST django-two-factor-auth-1.2.0.tar.gz 102073 SHA256 
45cd38798565886e47a9b42ab201f06a73583cf7dd2579684691e0ea510a96ec SHA512 
f6b58d42dedc3e80428c4acc4b7f0d6323a4eb84869b35f5e128aef6e00c0a418f43146fb6aeaf5bd92d78842023e4e3e8667a95198feea804f2561c6f8e43d4
 WHIRLPOOL 
fd243bbb65c286ef7b8bb8a132518f830c5b1879fa41ae3cbc730c09c5592755b9f9c1e2d60394678fd51bb2c3230d50307a13afb8bf651b50129813a9a3b1a0
+DIST django-two-factor-auth-1.2.1.tar.gz 102165 SHA256 
e98d6bea7f18d5667a2681e524739f60d8680f747e9aeb094c5175f7dcc540a6 SHA512 
c7947318929a91096e329e21db81c798f6522050d45203dd2cdeb0708f03d06ab6c650305546cd5e53080cdc77f43c6bcedbc77ad7eb1c88ffa49da5957f40ff
 WHIRLPOOL 
6393b76fdbd3020e73fd26b564793fe8944d57a1728b15253f8efd7d19253cb1f7a369fa94bf2b500ba618919a6914f766b25d852501db3defaed77a0a3b0a9a

diff --git 
a/dev-python/django-two-factor-auth/django-two-factor-auth-1.2.1.ebuild 
b/dev-python/django-two-factor-auth/django-two-factor-auth-1.2.1.ebuild
new file mode 100644
index 0000000..c2d665d
--- /dev/null
+++ b/dev-python/django-two-factor-auth/django-two-factor-auth-1.2.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit eutils distutils-r1
+
+DESCRIPTION="User-friendly Two-Factor Authentication for Django"
+HOMEPAGE="https://github.com/Bouke/django-two-factor-auth";
+SRC_URI="https://github.com/Bouke/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="test yubikey"
+
+CDEPEND=">=dev-python/django-1.4.2[${PYTHON_USEDEP}]
+               >=dev-python/django-otp-0.2.0[${PYTHON_USEDEP}]
+               dev-python/qrcode[${PYTHON_USEDEP}]
+               dev-python/twilio[${PYTHON_USEDEP}]
+               yubikey? ( dev-python/django-otp-yubikey[${PYTHON_USEDEP}] )
+               "
+
+RDEPEND="${CDEPEND}"
+DEPEND="test? (
+                       dev-python/flake8[${PYTHON_USEDEP}]
+                       dev-python/mock[${PYTHON_USEDEP}]
+                       ${CDEPEND}
+               )"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       sed -i "/'qrcode/s/^/#/" setup.py || die
+}
+
+python_test() {
+       emake test
+}

Reply via email to